# std::stack::push

From cppreference.com
< cpp‎ | container‎ | stack

void push( const value_type& value ); |  |
void push( value_type&& value ); |  | (since C++11)

Pushes the given element `value` to the top of the stack.

1) Effectively calls c.push_back(value)
2) Effectively calls c.push_back(std::move(value))

### Parameters

value | - | the value of the element to push

### Return value

(none)

### Complexity

Equal to the complexity of Container::push_back.

### See also

emplace (C++11) | constructs element in-place at the top (public member function)
pop | removes the top element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/stack/push&oldid=50672"